<?xml version="1.0" encoding="UTF-8"?>
<!--
 - Desc:    This file is part of the eCromedos document preparation system
 - Date:    2006/03/09
 - Author:  Tobias Koch (tkoch@ecromedos.net)
 - License: GNU General Public License, version 2
 - URL:     http://www.ecromedos.net
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<!--
  - Set program listing
-->
<xsl:template match="listing">
	<xsl:apply-templates select=".//code"/>
</xsl:template>

<!--
  - Set program listing helper
-->
<xsl:template match="code">
	<xsl:variable name="bgcolor">
		<xsl:choose>
			<xsl:when test="@bgcolor">
				<xsl:value-of select="normalize-space(@bgcolor)"/>
			</xsl:when>
			<xsl:otherwise>
				<xsl:text>#ffffff</xsl:text>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:variable>
	<xsl:text>\rgbshadecolor{</xsl:text>
	<xsl:call-template name="color.component">
		<xsl:with-param name="component" select="substring($bgcolor, string-length($bgcolor) - 5, 2)"/>
	</xsl:call-template>
	<xsl:text>}{</xsl:text>
	<xsl:call-template name="color.component">
		<xsl:with-param name="component" select="substring($bgcolor, string-length($bgcolor) - 3, 2)"/>
	</xsl:call-template>
	<xsl:text>}{</xsl:text>
	<xsl:call-template name="color.component">
		<xsl:with-param name="component" select="substring($bgcolor, string-length($bgcolor) - 1, 2)"/>
	</xsl:call-template>
	<xsl:text>}</xsl:text>

	<xsl:text>{\small\begin{alltt}</xsl:text>
	<xsl:text>\begin{shaded}</xsl:text>
		<xsl:apply-templates/>
	<xsl:text>\end{shaded}</xsl:text>
	<xsl:text>\end{alltt}}</xsl:text>
</xsl:template>

</xsl:stylesheet>
